Package ru.bitel.bgbilling.kernel.tariff.common.bean

# Class TariffPlan.Builder

java.lang.Object
ru.bitel.bgbilling.kernel.tariff.common.bean.TariffPlan.Builder

Enclosing class:
  `TariffPlan`

public static class TariffPlan.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TariffPlan`
  `build()`
  `TariffPlan.Builder`
  `setComment(String comment)`
  `TariffPlan.Builder`
  `setConfig(String config)`
  `TariffPlan.Builder`
  `setDescription(String description)`
  `TariffPlan.Builder`
  `setFilterContractLabelIds(List<Integer> filterContractLabel)`
  `TariffPlan.Builder`
  `setFilterFace(int filterFace)`
  `TariffPlan.Builder`
  `setFilterMask(String filterMask)`
  `TariffPlan.Builder`
  `setId(int id)`
  `TariffPlan.Builder`
  `setTitle(String title)`
  `TariffPlan.Builder`
  `setTitleWeb(String titleWeb)`
  `TariffPlan.Builder`
  `setUsed(boolean used)`
  `TariffPlan.Builder`
  `setUseTitleInWeb(boolean useTitleInWeb)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public TariffPlan.Builder setId(int id)

  - ### setTitle

    public TariffPlan.Builder setTitle(String title)

  - ### setComment

    public TariffPlan.Builder setComment(String comment)

  - ### setConfig

    public TariffPlan.Builder setConfig(String config)

  - ### setDescription

    public TariffPlan.Builder setDescription(String description)

  - ### setFilterContractLabelIds

    public TariffPlan.Builder setFilterContractLabelIds(List<Integer> filterContractLabel)

  - ### setFilterFace

    public TariffPlan.Builder setFilterFace(int filterFace)

  - ### setFilterMask

    public TariffPlan.Builder setFilterMask(String filterMask)

  - ### setTitleWeb

    public TariffPlan.Builder setTitleWeb(String titleWeb)

  - ### setUsed

    public TariffPlan.Builder setUsed(boolean used)

  - ### setUseTitleInWeb

    public TariffPlan.Builder setUseTitleInWeb(boolean useTitleInWeb)

  - ### build

    public TariffPlan build()